Bug Hunting Session
Bug 118860 - Impress opengl: hang when switching to slide where graphic is loaded async
Summary: Impress opengl: hang when switching to slide where graphic is loaded async
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.6.1 rc
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.2.0 target:6.1.1 target:6.0.7
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-20 16:08 UTC by Miklos Vajna
Modified: 2018-07-27 09:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature: ["ImplOpenGLTexture::ImplOpenGLTexture(int,int,int,int,void const *)"]


Attachments
Reproducer document. (30.47 KB, application/vnd.oasis.opendocument.presentation)
2018-07-20 16:08 UTC, Miklos Vajna
Details
Reproducer graphic. (2.16 MB, image/gif)
2018-07-20 16:09 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2018-07-20 16:08:31 UTC
Created attachment 143657 [details]
Reproducer document.

This bug was filed from the crash reporting server and is br-b2b1e8ee-2814-40e8-ba66-77cc5852ff1a.
=========================================

Steps to reproduce:

1) Open the attached document.
2) Press page down, to switch to slide 2.

Expected result: image on slide 2 shows up.

Actual result:

- crashreport says Windows 6.0.x crashes
- what I can reproduce locally on Linux 6.0.x is a hang

This only happens with opengl enabled.

(The image is a linked one, embedded images are not affected, so you need to place the gif as "pictures/large.gif" next to the reproducer ODP.)
Comment 1 Miklos Vajna 2018-07-20 16:09:08 UTC
Created attachment 143659 [details]
Reproducer graphic.
Comment 2 Commit Notification 2018-07-26 07:04:14 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=919ccaba419531d689231b76a43ab29c6a9ec65a

tdf#118860 svx opengl: avoid SalBitmap creation without solar mutex

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-07-26 09:29:07 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d575d17a30c9cc2b517be0ce3661530add4a138c&h=libreoffice-6-1

tdf#118860 svx opengl: avoid SalBitmap creation without solar mutex

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-07-27 09:22:06 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2038ab9d4cbb7282172a65352e4ed1a852404b29&h=libreoffice-6-0

tdf#118860 svx opengl: avoid SalBitmap creation without solar mutex

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.